datacache <- new.env(hash=TRUE, parent=emptyenv())

hthgu133bhsentrezg <- function() showQCData("hthgu133bhsentrezg", datacache)
hthgu133bhsentrezg_dbconn <- function() dbconn(datacache)
hthgu133bhsentrezg_dbfile <- function() dbfile(datacache)
hthgu133bhsentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hthgu133bhsentrezg_dbInfo <- function() dbInfo(datacache)

hthgu133bhsentrezgORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hthgu133bhsentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hthgu133bhsentrezg", "chip hthgu133bhsentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hthgu133bhsentrezg_dbconn())
}

